<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Credential extends Model
{
    protected $table = 'creds';
    protected $primaryKey = 'credid';

    const CREATED_AT = 'creddate';
    const UPDATED_AT = null;

    public function asset() {
        return $this->belongsTo('App\Asset', 'pcid');
    }

    public function group() {
        return $this->belongsTo('App\Group', 'groupid');
    }
}
